PHP Warning: preg_replace(): The /e modifier is no longer supported,

Discussions related with hosting control panels used, which include cPanel, Plesk, Directadmin etc..
Post Reply
Dan Mark
Posts: 0
Joined: Sat Sep 17, 2016 8:11 am

PHP Warning: preg_replace(): The /e modifier is no longer supported,

Post by Dan Mark »

Hi Nix,

I am having below error on my Joomla Site. Can you please have a look into this and help me out?

PHP Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /home/user/public_html/libraries/joomla/filter/input.php on line 654



shaan
Posts: 0
Joined: Sat Apr 14, 2018 4:21 pm

Re: PHP Warning: preg_replace(): The /e modifier is no longer supported,

Post by shaan »

Hello Dan,

The e modifier is deprecated as of PHP 5.5.0. And it seems like you are using PHP version higher than 5.4. Can you please let me know the PHP vesrion on your domain? If you are using PHP version higher than 5.5 then, please try downgrading the PHP on the domain. In most of the cases, this will fix the issue.

Please try the same and post your output.


Shaan N
Linux Support Engineer.
Nixtree Solutions
Managed Full Server Backups
https://www.nixtree.com/managed-backups.php
Follow us on : https://twitter.com/nixtree



Dan Mark
Posts: 0
Joined: Sat Sep 17, 2016 8:11 am

Re: PHP Warning: preg_replace(): The /e modifier is no longer supported,

Post by Dan Mark »

Hi Shaan,

Thanks for the idea. I have checked and found the domain is having PHP 7.0 on it. As per your suggestion, I have downgraded the PHP version to 5.4 and it worked.

My site now looks pretty good. Thanks again.



Post Reply